<div class="container">
  <div class="row  mt-4">
    <div class="form-group col col-md-4">
      <label for="documento">Numero de documento</label>
      <div class="input-group" id="documento">
          <input type="text" [(ngModel)]="documento" class="form-control"  aria-describedby="basic-addon2">
          <div class="input-group-append">
            <button class="btn btn-info" type="button" (click)="getCallsByDocumentUser()"><i class="fab fa-searchengin"></i></button>
          </div>
      </div>
    </div>
    <div class="form-group col col-md-4">
      <label for="ficha">Codigo de ficha</label>
      <div class="input-group" id="ficha">
        <input type="text"  class="form-control"  aria-describedby="basic-addon2">
        <div class="input-group-append">
          <button class="btn btn-info" type="button"><i class="fab fa-searchengin"></i></button>
        </div>
      </div>
    </div>

  </div>
  <div class="row">
    <table class="table table-striped">
      <thead class="thead-dark">
      <tr>
        <th scope="col">Fecha</th>
        <th scope="col">Instructor</th>
        <th scope="col">Aprendiz</th>
        <th scope="col">Ficha</th>
        <th scope="col">Programa</th>
        <th scope="col"></th>
      </tr>
      </thead>
      <tbody  *ngFor="let llamado  of listCalls">
      <tr >
        <th scope="row">{{llamado.creationDate}}</th>
        <td>{{llamado.instructor.firstName+ " "+ llamado.instructor.lastName}}</td>
        <td>{{llamado.apprentice.firstName +" " + llamado.apprentice.lastName}}</td>
        <td>{{llamado.ficha.code}}</td>
        <td>{{llamado.ficha.program.nameProgram}}</td>
        <td>
             <button type="button" class="btn btn-info "><i class="far fa-eye"></i></button>
             <button type="button"  data-toggle="modal" data-target="#exampleModal" data-whatever="@mdo" class="btn btn-danger ml-1">
               <i class="fas fa-marker"></i>
             </button>
        </td>
      </tr>

      </tbody>
    </table>
  </div>
</div>

<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
     aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <div class="ProfileStudent">
          <img class="Profile" src="../src/assets/images/perfil.png" alt="">
        </div>

        <div class="Titles">
          <h5 class="modal-title" >Llamado De Atencion Verbal</h5>
          <!--Tittle-->
          <h5 class="modal-title" >SENA C.B.I</h5>
        </div>

        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form>
          <!--Start Create Containers-->
          <div class="subTitle">
            <h5>Datos del aprendiz:</h5>
          </div>
          <form>
            <div class="form-group row">
              <label for="name" class="col-lg-3 col-form-label">Nombre del aprendiz:</label>
              <div class="col-lg-9" id="name">
                <div class="form-control across" >
                  <p></p>
                </div>
              </div>
            </div>
            <div class="form-group row">
              <label for="identificacion" class="col-lg-3 col-form-label">Identificacion:</label>
              <div class="col-lg-9" id="identificacion">
                <div class="form-control across">
                  <p></p>
                </div>
              </div>
            </div>
          </form>
          <form>
            <div class="row">
              <div class="col">
                <label for="email-s">Correo Misena</label>
                <div class="form-control across" id="email-s">
                  <p></p>
                </div>
              </div>

              <div class="col">
                <label for="email-a">Correo Alterno</label>
                <div class="form-control across" id="email-a"  readonly>
                  <p>Hola</p>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col">
                <label for="telefono">Numero De Contacto</label>
                <input class="form-control across"  id="telefono" type="text" placeholder="3233316217" readonly>
              </div>

              <div class="col">
                <label for="fichas">Ficha</label>
                <input class="form-control across" id="fichas" type="text" placeholder="1010131870" readonly>
              </div>
            </div>
          </form>
          <form>
            <div class="form-group">
              <label for="especialidad">Especialidad</label>
              <input class="form-control across" id="especialidad" type="text" placeholder="Analisis y Desarrollo de Sistemas de Informacion" readonly>
            </div>
            <div class="form-group">
              <label for="proyecto">Proyecto</label>
              <input class="form-control across" id="proyecto" type="text" placeholder="Lorem Insum Lorem Insum Lorem" readonly>
            </div>
          </form>

          <div class="form-group">
            <label for="message-text" class="col-form-label">Situacion a corregir:</label>
            <textarea class="form-control color" id="message-text"></textarea>
          </div>
          <div class="form-group displays">
            <label for="message-impact" class="col-form-label">Impacto:</label>
            <textarea class="form-control color" id="message-impact"></textarea>
          </div>
          <div class="form-group displays">
            <label for="message-efect" class="col-form-label">Efecto:</label>
            <textarea class="form-control color" id="message-efect"></textarea>
          </div>
          <div class="form-group">
            <label for="message-compromiso" class="col-form-label">Compromiso adquirido:</label>
            <textarea class="form-control color" id="message-compromiso"></textarea>
          </div>
          <!--End Create Containers-->
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
        <button type="button" class="btn btn-primary">Guardar</button>
      </div>
    </div>
  </div>
</div>
